<?php
/**
 * @file
 * System Utility
 */
 
/**
 * OM Tools System Utility Settings
 *
 */
function om_system(&$form) {
  drupal_add_js(drupal_get_path('module', 'om_tools') . '/tools/system/js/system.js', 'module');
  $stylesheets = '1600, 1440, 1280, 1120, 960, 800, 640, 480';
  $theme_path = path_to_theme();  

  // Reset Node Form
  if ( variable_get('om_tools_system_reset', 0)) {
    variable_set('om_tools_system_stylesheets', $stylesheets);
    variable_set('om_tools_system_reset', 0);
  }  
  // Node Form
  $form['system'] = array(
    '#type' => 'fieldset',
    '#title' => t('System'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#description' => t(''),
  );
  $form['system']['system_switch'] = array(
    '#type' => 'checkbox',
    '#title' =>  t('Appy System Alter'),
    '#default_value' => variable_get('om_tools_system_switch', 0),
    '#description' => t(''),
  );  
  $form['system']['stylesheets'] = array(
    '#type' => 'fieldset',
    '#attributes' => array( 'id' => 'om-group-stylesheet-settings'),
    '#title' => t('Media Queries Stylesheet Settings for desktop, tablet, mobile devices.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#description' => t('Add all desired maximum widths, separated by comma, ex. 960, 800. Then create the stylesheets, ex style960.css, style.800.css, each stylesheet will then be activated depending on the size of browser\'s viewport.'),
  );  
  $form['system']['stylesheets']['system_stylesheets'] = array(
    '#type' => 'textarea',
    '#title' => t('Add all max-width for this site.'),
    '#default_value' => variable_get('om_tools_system_stylesheets', $stylesheets),
    '#rows' => 5,
    '#description' => t('Standard sizes: 1600, 1440, 1280, 1120, 960, 800, 640, 480'),
  );
  $form['system']['stylesheets']['system_stylesheets_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Stylesheets path'),
    '#default_value' => variable_get('om_tools_system_stylesheets_path', $theme_path),
    '#width' => 30,
    '#description' => t('Where do your media stylesheets located? ex. sites/default/themes/mytheme/css'),
  );          
  $form['system']['system_reset'] = array(
    '#type' => 'checkbox',
    '#title' => t('Reset to default values.'),      
    '#default_value' => variable_get('om_tools_system_reset', 0),
    '#description' => t(''),
  );                   
  return $form;  
}

/**
 * Override or insert om variables into the templates.
 */
function om_system_preprocess_page(&$vars) {
  
  if (variable_get('om_tools_system_switch', 0)) {
    
    $stylesheets = '1600, 1440, 1280, 1120, 960, 800, 640, 480';
    $theme_path = path_to_theme();  
    $theme_path_default = variable_get('om_tools_system_stylesheets_path', $theme_path);
    $styles = explode(',', variable_get('om_tools_system_stylesheets', $stylesheets));
    foreach ($styles as $key => $style) {
      if (is_numeric($style)) {
        $vars['head'] .= '<link rel="stylesheet" type="text/css" href="' . base_path() . $theme_path_default . '/style' . trim($style) . '.css" media="only screen and (max-width: ' . $style . 'px)" />';
      }
    } 
  }
  //dsm($vars);
}
 
